HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

GET CLI configs from switches

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
Defaults to running-config

Specify builtin target configuration to retrieve.

Allowed:
boolean
Defaults to false

Specify if this is a dryrun GET or not (config GET).

switch_uuids
array

Return cli_configss for the given list of switch UUIDs.

  • Note that while the data type is array[string], the parameter value constructed by clients can be either:
  • Multiple instances of the parameter with distinct values, e.g. foo=bar&foo=baz translates to values bar and baz for parameter foo
  • One value (with no delimiter), e.g. foo=bar
  • Comma-separated list of strings, e.g. foo=bar,baz translates to the values bar and baz for parameter foo
    • NOTE: character encoding of the comma (,) character (%2C) as a delimiter is not supported
    • Parameter values can contain commas, but they must be encoded, e.g. foo=bar,baz%2Czab translates to the values bar and baz,zab for parameter foo
switch_uuids
switch_names
array of strings

List of switch names to GET.

switch_names
string

Filter data results by query string

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; version=1.0